---
title: Reflect.isExtensible()
slug: Web/JavaScript/Reference/Global_Objects/Reflect/isExtensible
tags:
  - ECMAScript 2015
  - JavaScript
  - Method
  - Reference
  - Reflect
---
<div>{{JSRef}}</div>

<p><span class="seoSummary">The static <strong><code>Reflect.isExtensible()</code></strong> method determines if an object is extensible (whether it can have new properties added to it). It is similar to {{jsxref("Object.isExtensible()")}}, but with some <a href="#Difference_to_Object.isExtensible">differences</a>.</span></p>

<div>{{EmbedInteractiveExample("pages/js/reflect-isextensible.html", "taller")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">Reflect.isExtensible(<var>target</var>)
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>target</var></code></dt>
 <dd>The target object which to check if it is extensible.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A {{jsxref("Boolean")}} indicating whether or not the target is extensible.</p>

<h3 id="Exceptions">Exceptions</h3>

<p>A {{jsxref("TypeError")}}, if <code>target</code> is not an {{jsxref("Object")}}.</p>

<h2 id="Description">Description</h2>

<p>The <code>Reflect.isExtensible</code> method allows you determine if an object is extensible (whether it can have new properties added to it). It is the same method as {{jsxref("Object.isExtensible()")}}.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_Reflect.isExtensible">Using Reflect.isExtensible()</h3>

<p>See also {{jsxref("Object.isExtensible()")}}.</p>

<pre class="brush: js notranslate">// New objects are extensible.
let empty = {}
Reflect.isExtensible(empty)  // === true

// ...but that can be changed.
Reflect.preventExtensions(empty)
Reflect.isExtensible(empty)  // === false

// Sealed objects are by definition non-extensible.
let sealed = Object.seal({})
Reflect.isExtensible(sealed)  // === false

// Frozen objects are also by definition non-extensible.
let frozen = Object.freeze({})
Reflect.isExtensible(frozen)  // === false
</pre>

<h3 id="Difference_to_Object.isExtensible">Difference to Object.isExtensible()</h3>

<p>If the <code><var>target</var></code> argument to this method is not an object (a primitive), then it will cause a {{jsxref("TypeError")}}. With {{jsxref("Object.isExtensible()")}}, a non-object first argument will be coerced to an object at first.</p>

<pre class="brush: js notranslate">Reflect.isExtensible(1)
// TypeError: 1 is not an object

Object.isExtensible(1)
// false
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-reflect.isextensible', 'Reflect.isExtensible')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.Reflect.isExtensible")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Reflect")}}</li>
 <li>{{jsxref("Object.isExtensible()")}}</li>
</ul>
